[hardy] ltsp-manager launches an empty grey box

Bug #191280 reported by keenboy on 2008-02-12
86
This bug affects 12 people
Affects Status Importance Assigned to Milestone
ltsp-manager (Ubuntu)
Medium
Unassigned
Nominated for Intrepid by Peter M
Nominated for Jaunty by Peter M

Bug Description

Binary package hint: ltsp-manager

I have launched ltsp-manager from a terminal and from run command. All that happens is a grey box appears at the top left of the screen.

It looks as if it's trying open but fails with something.

This is happening in both Ubuntu 7.10 and Kubuntu 7.10.

Andrew Fuchs (fuchs.andy) wrote :

same here, clicking on a spot near the middle of the box brings up a menu with 'i386' on it (probably a drop down box for architectures). Clicking around the lower right hand corner of the window, makes the window disappear and the following error message appear:

/usr/lib/python2.5/site-packages/apt/__init__.py:18: FutureWarning: apt API not stable yet
  warnings.warn("apt API not stable yet", FutureWarning)
['chips', 'vga', 'apm', 'sis', 'nv', 'via', 'atimisc', 'tfp410', 'cirrus', 'ivch', 'newport', 'ch7xxx', 'ark', 'i740', 'ztv', 'trident', 'imstt', 'fbdev', 'nsc', 'v4l', 'neomagic', 'savage', 'sisusb', 'glint', 'intel', 'i128', 'voodoo', 'psb', 'rendition', 'sil164', 'vmware', 'cirrus_laguna', 'tdfx', 'ati', 'siliconmotion', 'tga', 'vesa', 'amd', 'r128', 'libmm', 'cyrix', 'dummy', 's3virge', 'cirrus_alpine', 'i810', 'ch7017', 's3', 'mga', 'radeon', 'tseng']
Traceback (most recent call last):
  File "/usr/bin/ltsp-manager", line 70, in <lambda>
    select_ok.connect("clicked", lambda w: self.show_mainwin('/opt/ltsp/'+combo.get_active_text()))
  File "/usr/bin/ltsp-manager", line 48, in show_mainwin
    self.initialize()
  File "/usr/bin/ltsp-manager", line 41, in initialize
    self.get_videodrivers()
  File "/usr/bin/ltsp-manager", line 235, in get_videodrivers
    for item in ltsp.dictionary.videodrivers(self.root):
TypeError: 'NoneType' object is not iterable

nosrednaekim (nosrednaekim) wrote :

@Andrew. That probably has nothing to do with the original bug. It seems you unintentionally changed a path in the GUI since you couldn't see it. Especially since it seems to have printed out the very list that is having trouble iterating over later(the list of graphics drivers).

Ken Tanzer (ktanzer-desc) wrote :

I have same/similar problem. Launch ltsp-manager, grey box (that keeps itself 'above others') appears. Program does not actually crash. This output appears in terminal window:

/usr/lib/python2.5/site-packages/apt/__init__.py:18: FutureWarning: apt API not stable yet
  warnings.warn("apt API not stable yet", FutureWarning)

Running ubuntu 7.10

Sebastian Muniz (d0lapevich) wrote :

Same here,
Ubuntu Server 8.04 and Ubuntu Alternate 8.04,
three diffent installs and all of them the same simpthom.

Grabbed the bzr get http://people.ubuntu.com/~ogra/LTSPManager/bzr/
and it is the same.

I have gotten both messages mentioned on this thread on diferente circumstances.
Now, Invoking from cli

seba@vortex:~$ sudo ltsp-manager
[sudo] password for seba:
/usr/lib/python2.5/site-packages/apt/__init__.py:18: FutureWarning: apt API not stable yet
  warnings.warn("apt API not stable yet", FutureWarning)
The one that I pulled from bzr says
seba@vortex:/tmp/bzr/bin$ sudo ./ltsp-manager

(ltsp-manager:9511): libglade-WARNING **: unknown widget class 'GnomeFileEntry'

resulting on the same gray box.

Shaun Crampton (fasaxc) wrote :

Marking as confirmed since several people (including me) are experiencing the bug.

Changed in ltsp-manager:
status: New → Confirmed
Shaun Crampton (fasaxc) wrote :

This is still a problem in Intrepid.

$ apt-cache policy ltsp-manager
ltsp-manager:
  Installed: 0.0.2-0ubuntu3
  Candidate: 0.0.2-0ubuntu3
  Version table:
 *** 0.0.2-0ubuntu3 0
        500 http://ubuntu.virginmedia.com intrepid/universe Packages
        100 /var/lib/dpkg/status

elbowz (elbowz) wrote :

Cofirm for intrepid

Luke Faraone (lfaraone) wrote :

Also a problem on Intrepid.

Changed in ltsp-manager (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged
Luke Faraone (lfaraone) wrote :

Also a problem on Jaunty.

rascalbvi (adrian-nannycay) wrote :

have had same problem, hardy, and jaunty fresh install & updated

Phillip Hardy (count0nz) wrote :

Can we get the Hady Tag Removed ? this Affects all Ubuntu Versions as far as I can tell..

Same Errors on Ubuntu 9.10

.cobnet (mattias-campe) wrote :

Unfortunately the same errors apply for Edubuntu 10.04, so I guess that will apply for Ubuntu 10.04 as well. I get the following output when I run it from a terminal:
$ gksudo ltsp-manager
/usr/bin/ltsp-manager:12: DeprecationWarning: The popen2 module is deprecated. Use the subprocess module. from popen2 import Popen3
/usr/bin/ltsp-manager:21: GtkWarning: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
  self.wTree=gtk.glade.XML ("/usr/share/ltsp-manager/ltsp-manager.glade")
^C

I give the grey box as somebody else already reported. When I close that box, I don't get my prompt back again: I first have to press ctrl+c.

i have same problem in edubuntu maverick
anybody have a patch?

Roman (thezub) wrote :

This bug has existed in every version of Ubuntu that I can remember. Can we get a fix please? Otherwise why is it in the repository to begin with?

Changed in ltsp-manager (Ubuntu):
status: Triaged → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for ltsp-manager (Ubuntu) because there has been no activity for 60 days.]

Changed in ltsp-manager (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related blueprints